> For a complete page index, fetch https://developer.close.com/llms.txt

# List Shared Scheduling Links

GET https://api.close.com/api/v1/shared_scheduling_link/

Reference: https://developer.close.com/api/resources/scheduling-links/list-shared

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

Successful response

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Response**

```json
{
  "data": [
    {
      "description": "Shared Scheduling Link description",
      "duration_in_minutes": null,
      "id": "schlnk_167Y0qg1idTVbr6wUoDUlO",
      "name": "Another Shared Scheduling Link Name",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "source": "MANUAL",
      "source_id": null,
      "source_type": null,
      "template_tag": "another_shared_scheduling_link_name",
      "type": "SHARED",
      "url": null,
      "user_id": null
    },
    {
      "description": "Shared Scheduling Link description",
      "duration_in_minutes": null,
      "id": "schlnk_5KRTvFoioQKyQjDRFEDvp6",
      "name": "Shared Scheduling Link name",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "source": "MANUAL",
      "source_id": null,
      "source_type": null,
      "template_tag": "scheduling_link_name",
      "type": "SHARED",
      "url": null,
      "user_id": null
    }
  ],
  "has_more": false
}
```

**SDK Code**

```python scheduling_links_listShared_example
import requests

url = "https://api.close.com/api/v1/shared_scheduling_link/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript scheduling_links_listShared_example
const url = 'https://api.close.com/api/v1/shared_scheduling_link/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go scheduling_links_listShared_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/shared_scheduling_link/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby scheduling_links_listShared_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/shared_scheduling_link/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java scheduling_links_listShared_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/shared_scheduling_link/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php scheduling_links_listShared_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/shared_scheduling_link/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp scheduling_links_listShared_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/shared_scheduling_link/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```